Skip to main content

Add Note

Add Note
POST

Add a note to a candidate, contact, organization, job, or deal.

Request

POST /v1/note

Body Parameters

ParameterTypeRequiredDescription
notestringYesNote text.
related_tostringYesCandidate, contact, organization, job, or deal slug.
related_to_typeintegerYesEntity type. Allowed values: 1 candidate, 2 job, 3 organization, 4 contact, 5 deal.
note_type_idintegerNoNote type id. If omitted, ATZ CRM uses the default note type when available.
created_byintegerNoUser id to use as the note creator.

Request Example

{
"note": "Candidate is available for an interview next week.",
"related_to": "candidate_0d25558c1a77fc2d7d98",
"related_to_type": 1,
"note_type_id": 2
}

Response

200
{
"id": 84,
"note_type": {
"id": 2,
"label": "General"
},
"note": "Candidate is available for an interview next week.",
"related_to": "candidate_0d25558c1a77fc2d7d98",
"related_record": {
"slug": "candidate_0d25558c1a77fc2d7d98"
},
"related_to_type": 1,
"created_by": {
"id": 1
},
"updated_by": {
"id": 1
},
"created_at": "2026-07-24T10:15:00.000Z",
"updated_at": "2026-07-24T10:15:00.000Z"
}
400
[
{
"field_name": "related_to_type",
"error_message": "Related to type must be one of the following values: 1, 4, 2, 3, 5"
}
]